Package org.globus.myproxy

# Class CredentialInfo

java.lang.Object
org.globus.myproxy.CredentialInfo

public class CredentialInfo extends Object
Holds the credential information returned by the `info` operation.

## Constructor Summary

Constructors
Constructor
Description
`CredentialInfo()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`long`
`getEndTime()`
`Date`
`getEndTimeAsDate()`
`String`
`getName()`
`String`
`getOwner()`
`String`
`getRenewers()`
`String`
`getRetrievers()`
`long`
`getStartTime()`
`Date`
`getStartTimeAsDate()`
`void`
`setDescription(String description)`
`void`
`setEndTime(long time)`
`void`
`setName(String name)`
`void`
`setOwner(String owner)`
`void`
`setRenewers(String renewers)`
`void`
`setRetrievers(String retrievers)`
`void`
`setStartTime(long time)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CredentialInfo

public CredentialInfo()

## Method Details

### getName

public String getName()

### setName

public void setName(String name)

### getRetrievers

public String getRetrievers()

### setRetrievers

public void setRetrievers(String retrievers)

### getRenewers

public String getRenewers()

### setRenewers

public void setRenewers(String renewers)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getOwner

public String getOwner()

### setOwner

public void setOwner(String owner)

### getStartTime

public long getStartTime()

### setStartTime

public void setStartTime(long time)

### getEndTime

public long getEndTime()

### setEndTime

public void setEndTime(long time)

### getEndTimeAsDate

public Date getEndTimeAsDate()

### getStartTimeAsDate

public Date getStartTimeAsDate()

### toString

public String toString()

Overrides:
  `toString` in class `Object`